import { PropsWithChildren} from 'react'
import loadingState from './globalStates/loadingState'
import userState from './globalStates/userState'
import userAuthState from './globalStates/userAuthState'

export default function GlobalStateProvider({children}: PropsWithChildren) {
  return (
    <userAuthState.GlobalStateProvider>
      <loadingState.GlobalStateProvider>
        <userState.GlobalStateProvider>
          {children}
        </userState.GlobalStateProvider>
      </loadingState.GlobalStateProvider>
    </userAuthState.GlobalStateProvider>
  )
}